/*
 * oled.h
 *
 *  Created on: May 29, 2017
 *      Author: wn
 */

#ifndef OLED_H_
#define OLED_H_


/*
 * Code found at http://www.instructables.com/id/How-to-use-OLED-display-arduino-module/
 * Thank you very much!
 * Adapted from Arduino to STM32 HAL by wollud1969
 */

void oledInit(void);

void LED_CLS(void);
void LED_Set_Pos(unsigned char x,unsigned char y);//Set the coordinate
void LED_WrDat(unsigned char data);   //Write Data
void LED_P6x8Char(unsigned char x,unsigned char y,unsigned char ch);
void LED_P6x8Str(unsigned char x,unsigned char y,char ch[]);
void LED_P8x16Str(unsigned char x,unsigned char y,char ch[]);

void LED_PrintBMP(unsigned char x0,unsigned char y0,unsigned char x1,unsigned char y1,unsigned char bmp[]);
void LED_Fill(unsigned char dat);
//void LED_PrintValueC(unsigned char x, unsigned char y,char data);
//void LED_PrintValueI(unsigned char x, unsigned char y, int data);
//void LED_PrintValueF(unsigned char x, unsigned char y, float data, unsigned char num);
void LED_PrintEdge(void);
void LED_Cursor(unsigned char cursor_column, unsigned char cursor_row);
void LED_PrintLine(void);


#endif /* OLED_H_ */
